DigestMethod (Java SE 11 & JDK 11 )
Keywords: javax.xml.crypto.dsig.DigestMethod interface

Module java.xml.crypto
Package javax.xml.crypto.dsig

## Interface DigestMethod

- All Superinterfaces:
    `AlgorithmMethod`, `XMLStructure`

      public interface DigestMethod
      extends XMLStructure, AlgorithmMethod

  A representation of the XML `DigestMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

         <element name="DigestMethod" type="ds:DigestMethodType"/>
           <complexType name="DigestMethodType" mixed="true">
             <sequence>
               <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
                 <!-- (0,unbounded) elements from (1,1) namespace -->
             </sequence>
             <attribute name="Algorithm" type="anyURI" use="required"/>
           </complexType>

  A `DigestMethod` instance may be created by invoking the `newDigestMethod` method of the `XMLSignatureFactory` class.
  Since:
    1.6
  See Also:
    `XMLSignatureFactory.newDigestMethod(String, DigestMethodParameterSpec)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `RIPEMD160` | The RIPEMD-160 digest method algorithm URI.
    `static String` | `SHA1` | The SHA1 digest method algorithm URI.
    `static String` | `SHA224` | The SHA224 digest method algorithm URI.
    `static String` | `SHA256` | The SHA256 digest method algorithm URI.
    `static String` | `SHA3_224` | The SHA3-224 digest method algorithm URI.
    `static String` | `SHA3_256` | The SHA3-256 digest method algorithm URI.
    `static String` | `SHA3_384` | The SHA3-384 digest method algorithm URI.
    `static String` | `SHA3_512` | The SHA3-512 digest method algorithm URI.
    `static String` | `SHA384` | The SHA384 digest method algorithm URI.
    `static String` | `SHA512` | The SHA512 digest method algorithm URI.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AlgorithmParameterSpec` | `getParameterSpec()` | Returns the algorithm-specific input parameters associated with this `DigestMethod`.

    - ### Methods declared in interface javax.xml.crypto.AlgorithmMethod

      `getAlgorithm`

    - ### Methods declared in interface javax.xml.crypto.XMLStructure

      `isFeatureSupported`

- - ### Field Detail

    - #### SHA1

          static final String SHA1

      The SHA1 digest method algorithm URI.
      See Also:
        Constant Field Values

    - #### SHA224

          static final String SHA224

      The SHA224 digest method algorithm URI.
      Since:
        11
      See Also:
        Constant Field Values

    - #### SHA256

          static final String SHA256

      The SHA256 digest method algorithm URI.
      See Also:
        Constant Field Values

    - #### SHA384

          static final String SHA384

      The SHA384 digest method algorithm URI.
      Since:
        11
      See Also:
        Constant Field Values

    - #### SHA512

          static final String SHA512

      The SHA512 digest method algorithm URI.
      See Also:
        Constant Field Values

    - #### RIPEMD160

          static final String RIPEMD160

      The RIPEMD-160 digest method algorithm URI.
      See Also:
        Constant Field Values

    - #### SHA3_224

          static final String SHA3_224

      The SHA3-224 digest method algorithm URI.
      Since:
        11
      See Also:
        Constant Field Values

    - #### SHA3_256

          static final String SHA3_256

      The SHA3-256 digest method algorithm URI.
      Since:
        11
      See Also:
        Constant Field Values

    - #### SHA3_384

          static final String SHA3_384

      The SHA3-384 digest method algorithm URI.
      Since:
        11
      See Also:
        Constant Field Values

    - #### SHA3_512

          static final String SHA3_512

      The SHA3-512 digest method algorithm URI.
      Since:
        11
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParameterSpec

          AlgorithmParameterSpec getParameterSpec()

      Returns the algorithm-specific input parameters associated with this `DigestMethod`.

      The returned parameters can be typecast to a `DigestMethodParameterSpec` object.

      Specified by:
        `getParameterSpec` in interface `AlgorithmMethod`
      Returns:
        the algorithm-specific parameters (may be `null` if not specified)